import express from 'express';
import AuthController from '../controller/authController';

const router = express.Router();

router.post('/login', (req, res) => AuthController.login(req, res));
router.post('/logout', (req, res) => AuthController.logout(req, res));

router.post('/refresh_token', (req, res) =>
    AuthController.refreshSession(req, res)
);

router.post('/reset', (req, res) => AuthController.resetPassword(req, res));

export const authRoutes = router;
